/*****************************************************************************
*                     Copyright (c)  Gemplus Developpement 1992 - 1997
*
* Name        : C2BIN.H
*
* Description : 
*
  Author      : JL-GIRAUD
  Compiler    : All
  Host        : All

* $Id: c2bin.h,v 1.2 2000/09/04 08:19:06 rousseau Exp $
* $Log: c2bin.h,v $
* Revision 1.2  2000/09/04 08:19:06  rousseau
* code cleanup, changed the API and name for [Init|Close]Serial
*
*
******************************************************************************
*
* Warning     : 
* Remarks     : 
*
*****************************************************************************/

#include "springcard_i.h"

/* Transforms an ASCII chain of length characters in an int */
/* Any invalid character is discarded and treated as zero   */
int     c2bin(const char *buffer, int length);
int     c2bin2(const char *buffer);

#ifndef INLINE_C2BIN
#define INLINE_C2BIN
SCARD_INLINE int c2bin2(const char *buffer)
{
int     rc = 0;

if ((buffer[0] >= '0') && (buffer[0] <= '9'))
rc += buffer[0] - '0';
else if ((buffer[0] >= 'A') && (buffer[0] <= 'F'))
rc += buffer[0] - ('A' - 10);
else if ((buffer[0] >= 'a') && (buffer[0] <= 'f'))
rc += buffer[0] - ('a' - 10);
rc <<= 4;
if ((buffer[1] >= '0') && (buffer[1] <= '9'))
rc += buffer[1] - '0';
else if ((buffer[1] >= 'A') && (buffer[1] <= 'F'))
rc += buffer[1] - ('A' - 10);
else if ((buffer[1] >= 'a') && (buffer[1] <= 'f'))
rc += buffer[1] - ('a' - 10);
return rc;
}
#endif
