/*******************************************************************************
*                     Copyright (c)  Gemplus Developpement 1992 - 1997
*
* Name        : SERIAL.H
*
* Description : 
*
  Author      : Laurent GAUTERON
  Compiler    : Visual C++
  Host        : Windows 9x,NT

* $Id: serial.h,v 1.3 2000/12/11 17:53:30 rousseau Exp $
* $Log: serial.h,v $
* Revision 1.3  2000/12/11 17:53:30  rousseau
* Added a 5 seconds timeout if no reader present
*
* Revision 1.2  2000/09/04 08:19:06  rousseau
* code cleanup, changed the API and name for [Init|Close]Serial
*
*
********************************************************************************
*
* Warning     : adjusts the parameters of the read-write fonctions for
*				homogeneous calls.
* Remarks     : 
*
*******************************************************************************/

#ifndef _SERIAL_WIN32_H
#define _SERIAL_WIN32_H

#ifdef WIN32

int     WriteCom(HANDLE fd,
                 LPCVOID lpBuffer,
                 DWORD dwNbByte);
int     ReadCom(HANDLE fd,
                LPVOID lpBuffer,
                DWORD dwNbByte);

#endif
#endif
