#ifndef _SPRINGCARD_S9_I_H_
#define _SPRINGCARD_S9_I_H_

#ifdef WIN32
  #include <windows.h>
  #define SPRINGCARD_S9_LIB __declspec( dllexport )
#endif

#include "springcard_s9.h"

#define MAX_BYTE_TO_READ 128
    
/* scard_s9_low */
LONG SCardS9CardDirect(SCARDHANDLE hCard, BYTE send_len, BYTE *send_data, BYTE recv_len, BYTE *recv_data, BYTE status[2]);
LONG SCardS9CardTransmit(SCARDHANDLE hCard, BYTE send_len, BYTE *send_data, BYTE recv_len, BYTE *recv_data, BYTE status[2]);

/* scard_s9_gcr_1.5x */
LONG PosS9ReadDataArea(SCARDHANDLE hCard, BYTE *recv_data, WORD addr, BYTE recv_len, BYTE status[2]);
LONG PosS9ReadProtectionArea(SCARDHANDLE hCard, BYTE recv_data[32], WORD addr, BYTE status[2]);
LONG PosS9ReadSecurityArea(SCARDHANDLE hCard, BYTE recv_data[3], BYTE status[2]);
long PosS9WriteDataArea(SCARDHANDLE hCard, BYTE *write_data, WORD addr, BYTE write_len, BYTE status[2]);
LONG PosS9WriteProtectionArea(SCARDHANDLE hCard, BYTE *write_data, WORD addr, BYTE write_len, BYTE status[2]);
LONG PosS9UpdateSecurityArea(SCARDHANDLE hCard, BYTE *update_data, WORD addr, BYTE update_len, BYTE status[2]);
LONG PosS9PSCVerification(SCARDHANDLE hCard, BYTE code2, BYTE code1, BYTE status[2]);

#endif