// Apdu ExchangeDlg.h : header file
//

#if !defined(AFX_APDUEXCHANGEDLG_H__F82C9DD8_9371_45AD_AF1A_401F4F157664__INCLUDED_)
#define AFX_APDUEXCHANGEDLG_H__F82C9DD8_9371_45AD_AF1A_401F4F157664__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// Constants
#define EDIT_MAX 12

// Global variable


/////////////////////////////////////////////////////////////////////////////
// CApduExchangeDlg dialog

class CApduExchangeDlg : public CDialog
{
// Construction

public:
	void ParameterUpdate();
	void ApduUpdate(void);
	void Increment_param(CEdit * ptr_edit_param);
	void Decrement_param(CEdit *);
	void OnSetfocusEditParam(void);
	void UpdateParameter(void);
	void Decrement(CString *edit_control);
	void Increment(CString * edit_control);
	CApduExchangeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	CEdit *Edit_ptr[EDIT_MAX];
	CString *Edit_string[EDIT_MAX];

	//{{AFX_DATA(CApduExchangeDlg)
	enum { IDD = IDD_APDUEXCHANGE_DIALOG };
	CComboBox	m_control_combo;
	CEdit	m_edit_p2_low;
	CEdit	m_edit_p2_high;
	CEdit	m_edit_p1_low;
	CEdit	m_edit_p1_high;
	CEdit	m_edit_le_low;
	CEdit	m_edit_le_high;
	CEdit	m_edit_lc_low;
	CEdit	m_edit_lc_high;
	CEdit	m_edit_ins_low;
	CEdit	m_edit_ins_high;
	CEdit	m_edit_cla_low;
	CEdit	m_edit_cla_high;
	CString	m_ins_high;
	CString	m_cla_high;
	CString	m_cla_low;
	CString	m_ins_low;
	CString	m_lc_high;
	CString	m_lc_low;
	CString	m_le_high;
	CString	m_le_low;
	CString	m_p1_high;
	CString	m_p1_low;
	CString	m_p2_high;
	CString	m_p2_low;
	CString	m_firmware;
	CString	m_lasterror;
	CString	m_resp;
	BOOL	m_sim;
	CString	m_sw1;
	CString	m_sw2;
	CString	m_battery;
	BOOL	m_emv;
	CString	m_apdu;
	BOOL	m_pts;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApduExchangeDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CApduExchangeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonOff();
	afx_msg void OnButtonOn();
	afx_msg void OnButtonUp();
	afx_msg void OnButtonDown();
	afx_msg void OnButtonAtr();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSim();
	afx_msg void OnButtonExchange();
	afx_msg void OnEmv();
	afx_msg void OnDeltaposLog(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditupdateCombApdu();
	afx_msg void OnSelchangeCombApdu();
	afx_msg void OnPts();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APDUEXCHANGEDLG_H__F82C9DD8_9371_45AD_AF1A_401F4F157664__INCLUDED_)
