// S10_ExplorerDlg.h : header file
//

#if !defined(AFX_S10_EXPLORERDLG_H__7E9C37F4_36D1_4571_A3D5_4312DF7A8F96__INCLUDED_)
#define AFX_S10_EXPLORERDLG_H__7E9C37F4_36D1_4571_A3D5_4312DF7A8F96__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CS10_ExplorerDlg dialog

class CS10_ExplorerDlg : public CDialog
{
// Construction
public:
	void EditUp(void);
	void EditDown(void);
	void GetEditData(char *ptr_data , int max_data);
	void GetAddress(void);
	void UpdateAddress(void);
	void SetEditData(char *data , int max_data, int max_buffer);
	void DecrementEditSelected(CEdit *ptr , int max_edit, int first_id);
	void IncrementEditSelected(CEdit *ptr , int max_edit, int first_id);
	void IncrementEdit(CEdit *ptr);
	void Increment(CString *string_value);
	void Decrement(CString *string_value);
	void OnSetfocusEdit1();
	void CreateEdit( CEdit *ptr_Edit , int id_param,int id_ctrl , int left_param, int top_param ,int rigth_param ,int bottom_param, DWORD style,const char *init_text);
	void CreateGrid(int line);
	CS10_ExplorerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CS10_ExplorerDlg)
	enum { IDD = IDD_S10_EXPLORER_DIALOG };
	CString	m_status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CS10_ExplorerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CS10_ExplorerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnWrite();
	afx_msg void OnDeltaposSpin1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnOn();
	afx_msg void OnOff();
	afx_msg void OnBtnWriteEc();
	afx_msg void OnRead();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_S10_EXPLORERDLG_H__7E9C37F4_36D1_4571_A3D5_4312DF7A8F96__INCLUDED_)
